#!/usr/bin/env python3
from launch import LaunchDescription
from launch_ros.actions import Node
from ament_index_python.packages import get_package_share_directory
import os


def generate_launch_description():
    config = os.path.join(
        get_package_share_directory('obstacle_scanner'),
        'config',
        'params.yaml',
    )
    return LaunchDescription([
        Node(
            package='obstacle_scanner',
            executable='obstacle_scanner_node',
            name='obstacle_scanner',
            parameters=[config],
            output='screen',
        ),
    ])
